Plan Virtual Machine Check Dependent Vms

Plan Virtual Machine Check Dependent Vms

Checks if a given list of dependent VMs is valid against the current VM.

Request
URI
POST
https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/dependent-vms/actions/validate
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one

string
plan_id
Required

The ID of a recovery plan defined within current pairing

string
vm_id
Required

The ID of a virtual machine


Request Body

A spec describing the dependent VMs to be checked.

DependentVmSpec of type(s) application/json
Required
{
    "dependent_vms": [
        "string"
    ]
}
array of string
dependent_vms
Optional

A list of dependent VM IDs.

Authentication
This operation uses the following authentication methods.
Responses
200

Validation result

Returns DependentVmsValidationResult of type(s) application/json
"DependentVmsValidationResult Object"
boolean
valid
Optional

Whether the validation is successful or not

string
issue_type
Optional

Dependent VMs validation issue details.

  • UNKNOWN - Unknown issue
  • CYCLE_DETECTED - A cycle was found in the dependency list.
  • NO_PERMISSION - Missing permission to validate dependent VMs.

Possible values are : UNKNOWN, CYCLE_DETECTED, NO_PERMISSION,

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/dependent-vms/actions/validate